
Redmine - Defect #17094

"Not Found" Exception while trying to create new issue item in redmine

2014-06-05 06:18 - Ajay Kumar

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.1

Description

[Steps]

while trying to create new issue using the following code:

Issue issue = new Issue {

Tracker = new IdentifiableName{ Name = "Bug" },

Project = new IdentifiableName{ Id = projectId, Name = projectName }

};

RedmineManager manager = new RedmineManager( host, apiAccessKey );

manager.CreateObject( issue );

[Expected Output]

The issue should be added to the redmine database.

[Actual Result]

"Not Found" was Exception thrown

at Redmine.Net.Api.RedmineManager.HandleWebException(WebException exception, String method)

at Redmine.Net.Api.RedmineManager.ExecuteUpload[T](String address, String actionType, String data, String methodName)

at Redmine.Net.Api.RedmineManager.CreateObject[T](T obj, String ownerId)

at Redmine.Net.Api.RedmineManager.CreateObject[T](T obj)

[Versions]

Redmine 2.5.1

Redmine.net.dll 0.11.0.0

History

#1 - 2014-06-09 02:08 - Go MAEDA

It is better to contact the author of "Redmine.net.dll". It seems like not a problem of Redmine.

#2 - 2014-06-12 23:53 - Jan Niggemann (redmine.org team member)

- Status changed from New to Closed

- Resolution set to Invalid

Please try without redmine.net.dll or contact its author
